# Serialized Form

## Package bftsmart.tom

### Class bftsmart.tom.MessageContext extends java.lang.Object implements Serializable

serialVersionUID:
  -3757195646384786213L

### Serialized Fields

#### sender

    int sender

#### viewID

    int viewID

#### type

    bftsmart.tom.core.messages.TOMMessageType type

#### session

    int session

#### sequence

    int sequence

#### operationId

    int operationId

#### replyServer

    int replyServer

#### signature

    byte[] signature

#### timestamp

    long timestamp

#### regency

    int regency

#### leader

    int leader

#### consensusId

    int consensusId

#### numOfNonces

    int numOfNonces

#### seed

    long seed

#### proof

    java.util.Set<E> proof

#### firstInBatch

    bftsmart.tom.core.messages.TOMMessage firstInBatch

#### lastInBatch

    boolean lastInBatch

#### noOp

    boolean noOp

#### readOnly

    boolean readOnly

#### nonces

    byte[] nonces

## Package bftsmart.tom.server.defaultservices

### Class bftsmart.tom.server.defaultservices.CommandsInfo extends java.lang.Object implements Serializable

serialVersionUID:
  342711292879899682L

### Serialization Methods

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### Class bftsmart.tom.server.defaultservices.DefaultApplicationState extends java.lang.Object implements Serializable

serialVersionUID:
  6771081456095596363L

### Serialized Fields

#### state

    byte[] state

#### stateHash

    byte[] stateHash

#### lastCID

    int lastCID

#### hasState

    boolean hasState

#### messageBatches

    bftsmart.tom.server.defaultservices.CommandsInfo[] messageBatches

#### lastCheckpointCID

    int lastCheckpointCID

#### logHash

    byte[] logHash

#### pid

    int pid